package com.flossom.miniProgram.domain.vo;

import java.util.List;

/**
 * 分页获取 微信公众号 的关注者
 */
public class OfficialAccountUserRet {

    private Integer total;
    private Integer count;
    private data data;
    private String next_openid;
    private Integer errcode;
    private String errmsg;

    public OfficialAccountUserRet() {
    }

    public OfficialAccountUserRet(Integer total, Integer count, OfficialAccountUserRet.data data, String next_openid, Integer errcode, String errmsg) {
        this.total = total;
        this.count = count;
        this.data = data;
        this.next_openid = next_openid;
        this.errcode = errcode;
        this.errmsg = errmsg;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public OfficialAccountUserRet.data getData() {
        return data;
    }

    public void setData(OfficialAccountUserRet.data data) {
        this.data = data;
    }

    public String getNext_openid() {
        return next_openid;
    }

    public void setNext_openid(String next_openid) {
        this.next_openid = next_openid;
    }

    public Integer getErrcode() {
        return errcode;
    }

    public void setErrcode(Integer errcode) {
        this.errcode = errcode;
    }

    public String getErrmsg() {
        return errmsg;
    }

    public void setErrmsg(String errmsg) {
        this.errmsg = errmsg;
    }

    public List<String> getOpenidList() {
        return getData().getOpenid();
    }

    class data {
        private List<String> openid;

        public data() {
        }

        public data(List<String> openid) {
            this.openid = openid;
        }

        public List<String> getOpenid() {
            return openid;
        }

        public void setOpenid(List<String> openid) {
            this.openid = openid;
        }
    }

}
